Last Comment Bug 392944 - ecma_3/extensions/regress-320854.js FAIL
: ecma_3/extensions/regress-320854.js FAIL
Status: VERIFIED FIXED
regression from 375344
: regression, verified1.8.1.12
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla1.9alpha8
Assigned To: Brendan Eich [:brendan]
:
Mentors:
Depends on:
Blocks: 375344
  Show dependency treegraph
 
Reported: 2007-08-20 13:49 PDT by Bob Clary [:bc:]
Modified: 2008-01-28 09:49 PST (History)
4 users (show)
dveditz: blocking1.8.1.12+
dveditz: wanted1.8.1.x+
bob: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.18 KB, patch)
2007-08-20 14:04 PDT, Brendan Eich [:brendan]
mrbkap: review+
brendan: review+
Details | Diff | Splinter Review

Description Bob Clary [:bc:] 2007-08-20 13:49:08 PDT
bug 375344 regressed ecma_3/extensions/regress-320854.js
Comment 1 Brendan Eich [:brendan] 2007-08-20 14:04:53 PDT
Created attachment 277437 [details] [diff] [review]
fix

Sorry, I should have caught this in review. Before mrbkap's fix, clasp was obj's class, not obj2's.

/be
Comment 2 Brendan Eich [:brendan] 2007-08-20 14:05:52 PDT
bc: thanks for catching this.

/be
Comment 3 Blake Kaplan (:mrbkap) 2007-08-20 18:19:14 PDT
Comment on attachment 277437 [details] [diff] [review]
fix

Oops, thanks for catching this.
Comment 4 Brendan Eich [:brendan] 2007-08-20 18:25:23 PDT
Fixed:

js/src/jsobj.c 3.373

/be
Comment 5 Bob Clary [:bc:] 2007-09-18 04:51:44 PDT
verified fixed 1.9.0 linux/mac*/windows
Comment 6 Daniel Veditz [:dveditz] 2007-09-26 13:40:55 PDT
If we take bug 375344 on the 1.8 branch we need this one too, right?
Comment 7 Blake Kaplan (:mrbkap) 2008-01-13 10:35:45 PST
Fixed on the 1.8 branch.
Comment 8 Al Billings [:abillings] 2008-01-18 12:17:53 PST
BC, can you verify that it is fixed in Branch and change the keyword from "fixed1.8.1.12" to "verified1.8.1.12"?
Comment 9 Bob Clary [:bc:] 2008-01-28 09:49:33 PST
verified fixed 1.8.1 linux/mac/win

Note You need to log in before you can comment on or make changes to this bug.